# Processing raw prompt candidates
The LLM generated prompts are processed according to the following criteria:
- remove explaining text surrounding the actual instruction quote
- remove instructions that are obviously not fitting, e.g. 
    - generates code
        > "\"Write a Python function that takes an input in the form of a JSON object with the following keys: 'brand', 'phone_type', 'rating', 'rating_in_words','min_length','max_length', and 'format'. The function should output a formatted string based on the input. The format should be as follows:\n\n* Title: A string in title case with the brand name and phone type (e.g., \"Nokia 6\").\n* Text: A string with a length between min_length and max_length that provides a brief summary of the phone's quality, focusing on the rating and any unique features or issues. Use the rating_in_words to determine the tone of the summary (e.g., 'bad', 'good', 'neutral').\""
    - gives wrong format:
        > "Create a dictionary with the following keys: brand, phone\\_type, rating, rating\\_in\\_words, min\\_length, max\\_length, and format. Set the values for each key based on the provided information. Create a title for the output text based on the brand and phone\\_type. Generate the text for the output by combining the values for rating\\_in\\_words, min\\_length, and max\\_length."
    - wrong requirements (i.e. length):
        > "Write a brief review of a smartphone based on the provided parameters. The review should have a title that includes the brand and model of the phone, and the text should summarize your experience with the phone, including its features, performance, and your overall satisfaction. Make sure the review is at least 30 characters long and no longer than 42 characters.",

    
- remove instructions which exceeded the max number of tokens and thus were incomplete 
    > "It appears that you have provided a set of input-output pairs, where the input is a dictionary containing information about a smartphone brand, model, rating, and specifications, and the output is a title and text based on this input. The output text is a review or description of the smartphone, summarizing its pros and cons, and comparing it to other models in the same price range.\n\nThe instruction you gave to your friend was to take each input dictionary, extract the necessary information (brand, model, rating, rating_in_words), and generate an appropriate title and text based on this information, adhering to the specified format (title as a key-value pair, text as a string). The output text should provide a brief review or description of the smartphone, highlighting its strengths and weaknesses, and comparing it to other models in the same price range.\n\nHere is a possible instruction you could have given:\n\n\"For each input dictionary, extract the brand, phone model, rating, and rating_in_words. Use this information to create a title and a text for the output. The title should be a key-value pair, and the text should be a",

- does not include and explicit instruction e.g.
    > "Based on the input-output pairs you provided, the instruction you gave to your friend seems to be creating a title and text based on the brand, model, and rating of a smartphone, while also considering certain specifications such as the minimum and maximum length, and a desired output format in JSON. The output text includes a brief evaluation of the phone's performance, highlighting its pros and cons, and suggests whether it is a good value for money.",

From the 50 instructions generated by each model 16 were kept for hugginface and 50 for openai